#ifndef __PROBE_H
#define __PROBE_H
#include "sys.h" 
//////////////////////////////////////////////////////////////////////////////////
// 			2203/4/X GHz_ljw 合并版
//////////////////////////////////////////////////////////////////////////////
extern void Probe_ReadFactoryInfo(unsigned char channelID,unsigned char *pbuffer,unsigned short len);
/*LedIsOn ：位控，bit0表示通道1，bit1:表示通道2.对应的bit为1表示亮灯，0表示不关闭*/
extern void Probes_LedCtrl(u8 LedIsOn);							  

/*SingleOrDifference ：位控，bit0表示通道1，bit1:表示通道2.对应的bit为1表示Difference，0表示Single*/
extern void Probe_DifferenceOrSingleCtrl(unsigned short SingleOrDifference_DifferenceIs0);
/*读取探头的按钮状态，是状态值[1表示按下状态，0表示松开状态]*/
/* 按位表示每个通道，bit0表示通道1，bit1表示通道2， bit2表示通道3*/
/*要转换为按下的动作，请在应用层进行处理*/
extern unsigned short Probe_GetButtonState(void);	

/*读取探头的连接状态，是状态值[1表示按下状态，0表示松开状态]*/
/* 按位表示每个通道，bit0表示通道1，bit1表示通道2， bit2表示通道3*/
/*要转换为事件，请在应用层进行处理*/
extern unsigned short Probe_GetConnectState(void);

extern void Probe_GPIO_Init(void);
#endif
















